jQuery(($) => {
    const url = "https://dabex.eu/wp-json/woo-license-keys/v1/activate";
    $('.dbx-dpd-settings-section table').css({"height": "180px"});
    $('.valideaza-dbx').hide();
    $('.dezactiveaza-dbx').hide();
    $('.activeaza-dbx').show();
    $('button[name="activate_dbx_api"]').on('click', function(){
        $(this).addClass('loading');
        let dbx_auth_key = $('input[name="dbx-dpd-plugin-settings[dbx_dpd_auth_key]"]'),
            responseDBXApiText = $('.error_text'); 
            responseDBXApi = $('.expire_date'); 
            dbx_validate = $('input[name="dbx-dpd-plugin-settings[dbx_dpd_validate]"]');
            dbx_activation_id = $('.activation_id');
            request = $.ajax({
            type: 'POST',
            url: url,
            contentType: "application/json",
            dataType: "json",
            crossDomain: true,
            data: JSON.stringify({
                action: "license_key_activate",
                store_code: "3na80m79e2Q2FDR",
                license_key: dbx_auth_key.val(),
                domain: location.host 
            })
        });
        request.done(function (response, textStatus, jqXHR){
        if(response.status == 500){
        $('#response-dbx').show();   
        responseDBXApiText.text('Eroare: ');
        responseDBXApi.text('Licență invalidă!');
        if(response.errors.licence_key){
            responseDBXApi.text(response.errors.licence_key);      
        }
        if(response.errors.licence_key){
            responseDBXApi.text(response.errors.activation_id);      
        }
        dbx_validate.val(false); 
        $('.loading').removeClass('loading');
        }
        else{
            dbx_activation_id.val(response.data.activation_id);
            $('#response-dbx').show();
            $('.loading').removeClass('loading');
            if(response.data.has_expired == true){
                responseDBXApiText.text('Licența a expirat la data de: ');
                responseDBXApi.text(response.data.expire_date);
                $('.valideaza-dbx').text('LICENȚĂ EXPIRATĂ').attr('disabled', true);
                dbx_validate.val('expirat'); 
            }
            else{
                responseDBXApiText.text('Licența validă până la: ');
                responseDBXApi.text(response.data.expire_date);
                dbx_validate.val('succes'); 
                $('.activeaza-dbx').hide();
                $('.dezactiveaza-dbx').show();
                $('.valideaza-dbx').show();
            }    
        }
    });
    });
    $('button[name="validate_dbx_api"]').on('click', function(){
        $(this).addClass('loading');
        let dbx_auth_key = $('input[name="dbx-dpd-plugin-settings[dbx_dpd_auth_key]"]'),
            responseDBXApiText = $('.error_text'); 
            responseDBXApi = $('.expire_date'); 
            dbx_validate = $('input[name="dbx-dpd-plugin-settings[dbx_dpd_validate]"]');
            dbx_activation_id = $('.activation_id');
            request = $.ajax({
            type: 'POST',
            url: url,
            contentType: "application/json",
            dataType: "json",
            crossDomain: true,
            data: JSON.stringify({
                action: "license_key_validate",
                store_code: "3na80m79e2Q2FDR",
                license_key: dbx_auth_key.val(),
                activation_id: dbx_activation_id.val(),
                domain: location.host 
            })
        });
        request.done(function (response, textStatus, jqXHR){
        if(response.status == 500){
        $('#response-dbx').show();   
        responseDBXApiText.text('Eroare: ');
        responseDBXApi.text('Licență invalidă!');
        if(response.errors.licence_key){
            responseDBXApi.text(response.errors.licence_key);      
        }
        if(response.errors.licence_key){
            responseDBXApi.text(response.errors.activation_id);      
        }
        dbx_validate.val(false); 
        $('.loading').removeClass('loading');
        }
        else{
            $('#response-dbx').show();
            $('.loading').removeClass('loading');
            if(response.data.has_expired == true){
                responseDBXApiText.text('Licența a expirat la data de: ');
                responseDBXApi.text(response.data.expire_date);
                $('.valideaza-dbx').text('LICENȚĂ EXPIRATĂ').attr('disabled', true);
                dbx_validate.val('expirat'); 
                dbx_activation_id.val('');
                $('.activeaza-dbx').show();
            }
            else{
                responseDBXApiText.text('Licența validă până la: ');
                responseDBXApi.text(response.data.expire_date);
                dbx_validate.val('succes'); 
            }    
        }
    });
    });
    $('button[name="deactivate_dbx_api"]').on('click', function(){
        $(this).addClass('loading');
        let dbx_auth_key = $('input[name="dbx-dpd-plugin-settings[dbx_dpd_auth_key]"]'),
            responseDBXApiText = $('.error_text'); 
            responseDBXApi = $('.expire_date'); 
            dbx_validate = $('input[name="dbx-dpd-plugin-settings[dbx_dpd_validate]"]');
            dbx_activation_id = $('.activation_id');
            request = $.ajax({
            type: 'POST',
            url: url,
            contentType: "application/json",
            dataType: "json",
            crossDomain: true,
            data: JSON.stringify({
                action: "license_key_deactivate",
                store_code: "3na80m79e2Q2FDR",
                license_key: dbx_auth_key.val(),
                domain: location.host 
            })
        });
        request.done(function (response, textStatus, jqXHR){
        if(response.status == 500){
            $('#response-dbx').show();   
            responseDBXApiText.text('Eroare: ');
            responseDBXApi.text('Licență invalidă!');
            if(response.errors.licence_key){
                responseDBXApi.text(response.errors.licence_key);      
            }
            if(response.errors.licence_key){
                responseDBXApi.text(response.errors.activation_id);      
            }
            dbx_validate.val(false); 
            $('.loading').removeClass('loading');
        }
        else{
            $('#response-dbx').show();
            $('.loading').removeClass('loading');
            dbx_auth_key.val(''); 
            responseDBXApiText.text('Licența a fost dezactivată!');
            dbx_validate.val('expirat'); 
            dbx_activation_id.val(''); 
            $('.valideaza-dbx').hide();
            $('.dezactiveaza-dbx').hide();
            $('.activeaza-dbx').show();
            $('.element-option').hide();
            $('.explicatie').hide();
            $('.dbx-dpd-settings-section table').css({"height": "180px"});
        }
    });
    });
    var license_value = $('.license_value');
    if(license_value.attr('value') == 'succes'){
        $('.element-option.inactive').removeClass('inactive');
        $('.explicatie.inactive').removeClass('inactive');
        $('.valideaza-dbx').show();
        $('.dezactiveaza-dbx').show();
        $('.activeaza-dbx').hide();
        $('.element-option.inactive').show();
        $('.explicatie.inactive').show();
        $('.dbx-dpd-settings-section table').css({"height": "auto"});
    }
    else{
        $('.valideaza-dbx').hide();
        $('.dezactiveaza-dbx').hide();
        $('.activeaza-dbx').show();
        $('.element-option.inactive').hide();
        $('.explicatie.inactive').hide();
    }
});