<?php
//define('WP_USE_THEMES', false);
require '../../../../wp-load.php';
header("Cache-Control: no-cache, must-revalidate");
$order = wc_get_order($_GET['order_id']);
if(!$order){
    die('Invalid order id');   
}
$awb = get_post_meta($_GET['order_id'], 'dbx_awb_dpd', true);
if(empty($awb)){
    header('Location: ' . admin_url() . 'post.php?post=' . $_GET['order_id'] . '&action=edit');
}
if(isset($_GET['bulk']) && $_GET['bulk'] == 1 && empty($awb)){
    header('Location: ' . admin_url() . 'edit.php?post_type=shop_order');    
}
$awb_data = array(
    'username_dpd'  => $settings['dbx_dpd_username'],
    'password_dpd'  => $settings['dbx_dpd_pass'], 
    'format_awb'    => $settings['dbx_dpd_format_awb'],
    'awb_id'        => $awb
    );
$data = json_encode($awb_data);
$response = (new WOO_DPD_API)->call_API($data,'download');
if(!empty($response)){
    $filename = 'AWB_DPD_'.$awb .'.pdf';
    $pdf      = $response;
    header("Content-Type:application/pdf");
    header("Content-Disposition:inline;filename=" . $filename);
    header('Accept-Ranges: bytes');
    echo $pdf;
    exit; 
}
else{
   add_option( 'dpd_succes_delete_error', 'Eroare la descarcarea AWB-urilor!');
   if(isset($_GET['bulk']) && $_GET['bulk'] == 1){
       header('Location: ' . admin_url() . 'edit.php?post_type=shop_order');
   }
   else{
        header('Location: ' . admin_url() . 'post.php?post=' . $_GET['order_id'] . '&action=edit');
   }
   exit; 
}