<?php
class WOO_DPD_API{
    public function call_API($data = null, $endpoint = null){
        $curl = curl_init();
        curl_setopt_array($curl, array(
        CURLOPT_URL => DBX_DPD_API.$endpoint.'.php?',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => $data,
        CURLOPT_HTTPHEADER => array(
         'Content-Type: application/json'
        ),
        ));
        $response = curl_exec($curl);
        curl_close($curl);
        $json = json_encode($response);
        return $response;
    }
    public function calc_shipping_cost($data = null){
        $curl = curl_init();
        curl_setopt_array($curl, array(
        CURLOPT_URL => DBX_DPD_API.'calcul_tarif.php?',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => $data,
        CURLOPT_HTTPHEADER => array(
         'Content-Type: application/json'
        ),
        ));
        $response = curl_exec($curl);
        curl_close($curl);
        $result = json_decode($response, true)['calculations'] ?? null;
        if (!empty($result) && !isset($result[0]['error'])) {
            $result = $result[0]['price']['total'] ?? null;
        } else {
            throw new Exception('Can not calculate DPD shipping: ' . json_encode($result));
        }
        return $result;
    }
}