<?php
//define('WP_USE_THEMES', false);
require '../../../../wp-load.php';
$order = wc_get_order($_GET['order_id']);
if(!$order){
    die('Invalid order id');   
}
$settings = (array) get_option( 'dbx-dpd-plugin-settings' );
$update = isset($settings['dbx_dpd_update_comanda']) ? esc_attr($settings['dbx_dpd_update_comanda']) : '';
$platitor = isset($settings['dbx_dpd_platitor']) ? esc_attr($settings['dbx_dpd_platitor']) : '';
$username = isset($settings['dbx_dpd_username']) ? esc_attr($settings['dbx_dpd_username']) : '';
$pass     = isset($settings['dbx_dpd_pass']) ? esc_attr($settings['dbx_dpd_pass']) : '';
$service_id = isset($settings['dbx_dpd_service_id']) ? esc_attr($settings['dbx_dpd_service_id']) : '';
$total_weight = 0;
$open_package = '';
$saturday = 'false';
$fragile = 'false';
if(isset($_POST['deschidere_colet'])) { $open_package = 'OPEN'; }
if(isset($_POST['livrare_sambata']))  { $saturday = 'true'; }
if(isset($_POST['fragil']))  { $fragile = 'true'; }
$country = $order->get_shipping_country();
$endpoint = 'generate';
if($country == 'RO'){
    $endpoint = 'generate_ro';
}
$awb_data = [
    'site_url'      => get_site_url(),
    'username_dpd'  => $username,
    'password_dpd'  => $pass, 
    'service_id'    => $service_id,
    'currency'		=> $_POST['currency'], 
    'cod_amount'	=> $_POST['valoare'],
    'payer'			=> $platitor,
    'parcels_no'	=> $_POST['nr_colete'],
    'weight'		=> $_POST['greutate'],
    'content'		=> $_POST['continut'], 
    'private'		=> $_POST['private'],
    'phone_no'      => $_POST['telefon'],
    'client_name'	=> $_POST['destinatar'],
    'contact_name'	=> $_POST['contact_person'],
    'email'			=> $order->get_billing_email(),
    'site_id'       => get_site_id2($_POST['oras'], $_POST['judet']),
    //'site_name'		=> $_POST['oras'],
    'country_id'	=> $_POST['country_id'],
    'state_id'		=> $_POST['judet'],
    //'postcode'		=> $_POST['cod_postal'],
    'addressline'	=> $_POST['adresa'],
    'shipment_note'	=> $_POST['observatii'],
    'ref1'			=> $_POST['ref1'],
    'ref2'			=> $_POST['ref2'],
    'saturday'		=> $saturday,
    'obpd_option'   => $open_package,
    'fragile'		=> $fragile
    ];
$data = json_encode($awb_data);
var_dump($data);
exit;
$response = (new WOO_DPD_API)->call_API($data,$endpoint);
$rasp = json_decode($response);
//var_dump($response);
//exit;
if($rasp->id){
    $nr_awb = $rasp->id;
    update_post_meta($_GET['order_id'], 'dbx_awb_dpd', $nr_awb);
    update_post_meta($_GET['order_id'], 'dbx_awb_dpd_status', 'AWB-ul a fost inregistrat de catre clientul expeditor.');
    update_post_meta($_GET['order_id'], 'dbx_awb_dpd_status_id', '0');
    update_post_meta($_GET['order_id'], 'dbx_dpd_nr_colete', $_POST['nr_colete']);
    if($update =="Da") $order->update_status( 'completed' );
    add_option( 'dpd_dbx_error', 'Awb-ul '.$nr_awb .' a fost generat cu succes.');
    header('Location: ' . admin_url() . 'post.php?post=' . $_GET['order_id'] . '&action=edit');
}
else{
add_option( 'dpd_dbx_error', 'Eroare la generarea awb-ului.' );
header('Location: ' . admin_url() . 'post.php?post=' . $_GET['order_id'] . '&action=edit');
}