<?php
/*
* Plugin Name: Woocommerce DBX - DPD Curier
* Plugin URI: https://dabex.eu
* Description: Cu acest modul aveti posibilitatea de generare, printare si urmarire a AWB-urilor DPD. Puteti activa si afisarea costului de transport dinamic, conform tarifelor contractuale DPD.
* Version: 1.0.0
* Author: Dabex Agency
* Author URI: https://dabex.eu
* Requires at least: 4.9.9
* Tested up to: 5.7.2
* Requires PHP: 7.1
* Textdomain: woo-dbx-dpd
*/
// Exit if accessed directly
if (!defined('ABSPATH')) exit;

define('DBX_DPD_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('DBX_DPD_PLUGIN_URL', plugin_dir_url(__FILE__));
define('DBX_DPD_PLUGIN_FILE', __FILE__);
define('DBX_DPD_JSON', 'https://dabex.eu/module-wp/woocommerce-dbx-dpd/info.json');
define('DBX_DPD_API', 'https://dabex.eu/api/dpd/');

include DBX_DPD_PLUGIN_PATH . '/includes/helper-functions.php';
include DBX_DPD_PLUGIN_PATH . '/includes/dpd.class.php';
include DBX_DPD_PLUGIN_PATH . '/admin/admin.php';
include DBX_DPD_PLUGIN_PATH . '/admin/handle_plugin.php';
include DBX_DPD_PLUGIN_PATH . '/admin/functions.php';
include DBX_DPD_PLUGIN_PATH . '/shipping/shipping-functions.php';
include DBX_DPD_PLUGIN_PATH . '/shipping/dpd.shipping.class.php';