<?php
function dbx_dpd_adv_callback(){

}
function dbx_dpd_settings_callback(){
    ?>
    <div class="header">
        <img src="<?=plugin_dir_url( __FILE__ ) ?>assets/dpd_logo.png ?>" class="logo" ?>
        <h1>Setări DPD</h1>
    </div>
    <?php
}
function dbx_dpd_auth_key_callback(){
        $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	    $field = 'dbx_dpd_auth_key';  
	    $value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	    echo "<div class='licence'><label for='dbx-dpd-plugin-settings[$field]'> Licența DBX DPD Courier</label>";
	    echo "<input type='text' name='dbx-dpd-plugin-settings[$field]' value='$value' /></div>";
	    echo '<div class="margine-jos">
	    <button class="button button-primary activeaza-dbx" name="activate_dbx_api" value="activate_dbx_api" type="button"><b>ACTIVEAZĂ LICENȚA</b></button>
	    <button class="button button-primary valideaza-dbx" name="validate_dbx_api" value="validate_dbx_api" type="button"><b>VALIDEAZĂ LICENȚA</b></button>
	    <button class="button button-primary dezactiveaza-dbx" name="deactivate_dbx_api" value="deactivate_dbx_api" type="button"><b>DEZACTIVEAZĂ LICENȚA</b></button>';
	    echo '<div id="response-dbx" style="display:none"><span style="color:red;text-align:center;" class="error_text"></span><span class="expire_date" style="font-weight:bold;color:red;"></span><br/><br/><a class="buton-new-licence" style="display:none;">REÎNNOIEȘTE LICENȚA</a></div>';
	    echo '</div>';
}
function dbx_dpd_activation_id_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_activation_id';  
	$value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	echo "<div class='element-option'>";
	echo "<input type='hidden' class='activation_id' name='dbx-dpd-plugin-settings[$field]' value='$value' /></div>";
}
function dbx_dpd_validate_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_validate';  
	$value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	echo "<div class='element-option'>";
	echo "<input type='hidden' class='license_value' name='dbx-dpd-plugin-settings[$field]' value='$value' /></div>";
}
function dbx_dpd_username_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_username';  
	$value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
    echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'> Utilizator DPD </label>";
    echo "<input type='text' name='dbx-dpd-plugin-settings[$field]' value='$value' /></div>";    
}
function dbx_dpd_pass_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_pass';  
	$value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
    echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'> Parola DPD </label>";
    echo "<input type='text' name='dbx-dpd-plugin-settings[$field]' value='$value' /></div>";    
}
function dbx_dpd_id_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_id';  
	$value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'>Punct de Ridicare Colete </label>";
	echo "<select id='dbx-dpd-plugin-settings[$field]' name='dbx-dpd-plugin-settings[$field]'>";
    $user_data = array(
        'username_dpd' => $settings['dbx_dpd_username'],
        'password_dpd' => $settings['dbx_dpd_pass']
    );
    $data = json_encode($user_data);
    $raspuns= (new WOO_DPD_API)->call_API($data, 'contract');
    $array_of_objects = json_decode($raspuns);
    //var_dump($array_of_objects);
    //exit;
    if(empty($array_of_objects->error)){
        foreach($array_of_objects->clients as $serv){
            $_value = $serv->clientId;
            $_item  = $serv->address->fullAddressString;
            $selected = ($settings[$field] == $_value) ? 'selected="selected"' : '';
            echo "<option value='$_value' $selected>$_item</option>";
        }    
    }
    else{
        $selected = ($settings[$field] == 'eroare') ? 'selected="selected"' : '';
        echo "<option value='eroare' $selected>Nume utilizator si/sau parola DPD incorecte</option>";
    }
	echo "</select>";
	echo "</div>";
}
function dbx_dpd_service_id_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_service_id';  
	$value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'>Service ID DPD </label>";
	echo "<select id='dbx-dpd-plugin-settings[$field]' name='dbx-dpd-plugin-settings[$field]'>";
    $user_data = array(
        'username_dpd' => $settings['dbx_dpd_username'],
        'password_dpd' => $settings['dbx_dpd_pass']
    );
    $data = json_encode($user_data);
    $raspuns= (new WOO_DPD_API)->call_API($data, 'services');
    $array_of_objects = json_decode($raspuns);
    //var_dump($array_of_objects);
    //exit;
    if(empty($array_of_objects->error)){
        foreach($array_of_objects->services as $serv){
            $_value = $serv->id;
            $_item  = $serv->name;
            $selected = ($settings[$field] == $_value) ? 'selected="selected"' : '';
            echo "<option value='$_value' $selected>$_item</option>";
        }    
    }
    else{
        $selected = ($settings[$field] == 'eroare') ? 'selected="selected"' : '';
        echo "<option value='eroare' $selected>Nume utilizator si/sau parola DPD incorecte</option>";
    }
	echo "</select>";
	echo "</div>";
}
function dbx_dpd_dc_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_dc';
	$items = array(
	    '0' => 'Nu',
	    '1' => 'Da'
	    );
    echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'>Deschidere Colet </label>";
    echo "<select id='dbx-dpd-plugin-settings[$field]' name='dbx-dpd-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>"; 
}
function dbx_dpd_ls_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_ls';
	$items = array(
	    '0' => 'Nu',
	    '1' => 'Da'
	    );
    echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'>Livrare Sâmbătă </label>";
    echo "<select id='dbx-dpd-plugin-settings[$field]' name='dbx-dpd-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>";
}
function dbx_dpd_format_awb_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_format_awb';
	$items = array(
	    'A4'      => 'A4',
	    'A4_4xA6' => 'A4_4XA6',
	    'A6'      => 'A6'
	    );
    echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'>Format AWB </label>";
    echo "<select id='dbx-dpd-plugin-settings[$field]' name='dbx-dpd-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>";
}
function dbx_dpd_nr_colete_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_nr_colete';
	$value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'> Nr. Colete Implicit </label>";
    echo "<input type='text' name='dbx-dpd-plugin-settings[$field]' value='$value' placeholder='Introduceți numărul de colete implicit.' /></div>";   
}
function dbx_dpd_platitor_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_platitor';
	$items = array(
	    'SENDER' => 'Expeditor',
	    'RECIPIENT' => 'Destinatar'
	    );
    echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'>Plată Transport </label>";
    echo "<select id='dbx-dpd-plugin-settings[$field]' name='dbx-dpd-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>";
}
function dbx_dpd_livrare_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	$field = 'dbx_dpd_livrare';
	$items = array(
	    '1' => 'Da',
	    '0' => 'Nu'
	    );
    echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'>Activare Metodă de Livrare</label>";
    echo "<select id='dbx-dpd-plugin-settings[$field]' name='dbx-dpd-plugin-settings[$field]'>";
	foreach($items as $key=>$item) {
	$selected = ($settings[$field]==$key) ? 'selected="selected"' : '';
	echo "<option value='$key' $selected>$item</option>";
	}
	echo "</select></div>";
}
function dbx_dpd_autogenerate_callback(){
        $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	    $field = 'dbx_dpd_autogenerate';  
	    $value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	    $items = array("Da", "Nu");
        echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'> Generare automată AWB</label>";
        echo "<select id='dbx-dpd-plugin-settings[$field]' name='dbx-dpd-plugin-settings[$field]'>";
        foreach($items as $item) {
		$selected = ($settings[$field]==$item) ? 'selected="selected"' : '';
		echo "<option value='$item' $selected>$item</option>";
	    }
        echo "</select></div>";
        echo '<span class="explicatie inactive"> ***Alege dacă vrei sau nu să generezi automat AWB-ul dpd atunci când se crează o nouă comandă și primește statusul <b>În Procesare</b></span>';
}
function dbx_dpd_update_comanda_callback(){
        $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	    $field = 'dbx_dpd_update_comanda';  
	    $value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	    $items = array("Da", "Nu");
        echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'> Actualizezi Statusul Comenzii?</label>";
        echo "<select id='dbx-dpd-plugin-settings[$field]' name='dbx-dpd-plugin-settings[$field]'>";
        foreach($items as $item) {
		$selected = ($settings[$field]==$item) ? 'selected="selected"' : '';
		echo "<option value='$item' $selected>$item</option>";
	    }
        echo "</select></div>";
        echo '<span class="explicatie inactive"> ***Alege dacă vrei sau nu să actualizezi statusul comenzii cu statusul "Comandă Finalizată" după generarea awb-ului.</span>';
}
function dbx_dpd_update_mail_callback(){
        $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
	    $field = 'dbx_dpd_update_mail';  
	    $value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
	    $items = array("Da", "Nu");
        echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'> Detalii AWB în E-mail</label>";
        echo "<select id='dbx-dpd-plugin-settings[$field]' name='dbx-dpd-plugin-settings[$field]'>";
        foreach($items as $item) {
		$selected = ($settings[$field]==$item) ? 'selected="selected"' : '';
		echo "<option value='$item' $selected>$item</option>";
	    }
        echo "</select></div>";
        echo '<span class="explicatie inactive"> ***Alegeți dacă vreți sau nu să trimiteți informații legate de AWB, atunci când statusul comenzii este "Comandă Finalizată".</span>';
}
function dbx_dpd_text_mail_callback(){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
    $field = 'dbx_dpd_text_mail';  
    $value = isset($settings[$field]) ? esc_attr($settings[$field]) : '';
    echo "<div class='element-option inactive'><label for='dbx-dpd-plugin-settings[$field]'> Conținut E-mail</label>";
    echo "<textarea id='dbx-dpd-plugin-settings[$field]' name='dbx-dpd-plugin-settings[$field]' rows='4' type='textarea' placeholder='Comanda dumneavoastra a fost expediată prin serviciul de curierat DPD Curier și se află în curs de livrare.Nota de transport(AWB) are numărul: [nr-awb] și poate fi urmărită aici: [buton-urmarire]'>{$value}</textarea></div>";
    echo '<span class="explicatie inactive"> Folosiți următoarele scurtături:<br/> Număr awb -> [nr-awb]<br/> Buton Urmărire AWB -> [buton-urmarire]'.'</span><br/>';
    echo '<span class="explicatie inactive"> ***Acest text va fi adăugat la template-ul e-mail-ului trimis atunci când statusul comenzii este "Comandă Finalizată".</span>';
}