<?php
//define('WP_USE_THEMES', false);
require '../../../../wp-load.php';
header("Cache-Control: no-cache, must-revalidate");
$order = wc_get_order($_GET['order_id']);
if(!$order){
    die('Invalid order id');   
}
$awb = get_post_meta($_GET['order_id'], 'dbx_awb_dpd', true);
if(empty($awb)){
    header('Location: ' . admin_url() . 'post.php?post=' . $_GET['order_id'] . '&action=edit');
}
if(isset($_GET['bulk']) && $_GET['bulk'] == 1 && empty($awb)){
    header('Location: ' . admin_url() . 'edit.php?post_type=shop_order');    
}
$awb_data = array(
    'username_dpd'  => $settings['dbx_dpd_username'],
    'password_dpd'  => $settings['dbx_dpd_pass'], 
    'awb_id'        => $awb,
    'comment'       => 'Sterge AWB'
    );
$data = json_encode($awb_data);
$response = (new WOO_DPD_API)->call_API($data,'delete');
$result = json_decode($raspuns); 
$error = $result->error;
if(empty($error)){
    delete_post_meta($_GET['order_id'], 'dbx_awb_dpd');
    delete_post_meta($_GET['order_id'], 'dbx_awb_dpd_status');
    delete_post_meta($_GET['order_id'], 'dbx_awb_dpd_status_id');
    delete_post_meta($_GET['order_id'], 'dbx_dpd_nr_colete');
    add_option( 'dpd_succes_delete_error', 'AWB-ul '.$awb.' a fost șters.');
    if(isset($_GET['bulk']) && $_GET['bulk'] == 1){
        header('Location: ' . admin_url() . 'edit.php?post_type=shop_order');
    }
    else{
        header('Location: ' . admin_url() . 'post.php?post=' . $_GET['order_id'] . '&action=edit');
    }
    exit; 
}
if($error){
   add_option( 'dpd_succes_delete_error', 'Eroare la ștergerea AWB-ului '.$awb);
   if(isset($_GET['bulk']) && $_GET['bulk'] == 1){
       header('Location: ' . admin_url() . 'edit.php?post_type=shop_order');
   }
   else{
        header('Location: ' . admin_url() . 'post.php?post=' . $_GET['order_id'] . '&action=edit');
   }
   exit; 
}
