<?php
require '../../../../wp-load.php';
$awb = get_post_meta($_GET['order_id'], 'awb_innoship', true);
$courier_id = get_post_meta($_GET['order_id'], 'innoship_courier', true);
if(empty($awb)){
    header('Location: ' . admin_url() . 'post.php?post=' . $_GET['order_id'] . '&action=edit');
}
if(isset($_GET['bulk']) && $_GET['bulk'] == 1 && empty($awb)){
    header('Location: ' . admin_url() . 'edit.php?post_type=shop_order');    
}
$settings = (array) get_option( 'dbx-innoship-plugin-settings' );
$format = isset($settings['dbx_innoship_format_awb']) ? esc_attr($settings['dbx_innoship_format_awb']) : '';
$awb_data = [
    'type'          => 'PDF',
    'format'        => $format,
    'useFile'       => 'true',
    'api-version'   => '1.0'
    ];
$response = (new InnoshipAPI)->printOrder($courier_id, $awb,$awb_data);
$rasp = json_decode($response);
if($rasp->errors){
    echo 'eroare';
}
else{
    $filename = 'AWB_'.$awb.'.pdf';
    header("Content-Type:application/pdf");
    header("Content-Disposition:inline;filename=" . $filename);
    header('Accept-Ranges: bytes');
    echo $response;
}
exit;