<?php
add_filter('woocommerce_shipping_methods', 'add_dbx_dpd_shipping_method');
function add_dbx_dpd_shipping_method($methods){
    $settings = (array) get_option( 'dbx-dpd-plugin-settings' );
    $delivery = $settings['dbx_dpd_livrare'];
    if($delivery == 1){
    $methods[] = 'DPD_Shipping_Method';
    }
return $methods;
}
add_action( 'woocommerce_review_order_before_cart_contents', 'dbx_dpd_clear_wc_shipping_rates_cache' , 10 );
add_action( 'woocommerce_after_checkout_validation', 'dbx_dpd_clear_wc_shipping_rates_cache' , 10 );
function dbx_dpd_clear_wc_shipping_rates_cache(){
    $packages = WC()->cart->get_shipping_packages();
    foreach ($packages as $key => $value) {
        $shipping_session = "shipping_for_package_$key";
        unset(WC()->session->$shipping_session);
    }
}
$settings = (array) get_option( 'dbx-dpd-plugin-settings' );
$delivery = $settings['dbx_dpd_livrare'];
if($delivery == 1){
    include_once DBX_DPD_PLUGIN_PATH . '/shipping/city-select.php';
}